## bioawk 1.0

=== Makefile ===
# /****************************************************************
# Copyright (C) Lucent Technologies 1997
# All Rights Reserved
# 
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby
# granted, provided that the above copyright notice appear in all
# copies and that both that the copyright notice and this
# permission notice and warranty disclaimer appear in supporting
# documentation, and that the name Lucent Technologies or any of
# its entities not be used in advertising or publicity pertaining
# to distribution of the software without specific, written prior
# permission.
# 
# LUCENT DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
# IN NO EVENT SHALL LUCENT OR ANY OF ITS ENTITIES BE LIABLE FOR ANY
# SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
# IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
# ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
# THIS SOFTWARE.
# ****************************************************************/

CFLAGS = -g -Wall -O2

CC = gcc

YACC = bison -y
YACC = yacc
YFLAGS = -d

OFILES = b.o main.o parse.o proctab.o tran.o lib.o run.o lex.o addon.o

SOURCE = awk.h ytab.c ytab.h proto.h awkgram.y lex.c b.c main.c \
	maketab.c parse.c lib.c run.c tran.c proctab.c addon.c

LISTING = awk.h proto.h awkgram.y lex.c b.c main.c maketab.c parse.c \
	lib.c run.c tran.c addon.c

SHIP = README FIXES $(SOURCE) ytab[ch].bak makefile  \
	 awk.1

bioawk:ytab.o $(OFILES)
	$(CC) $(CFLAGS) ytab.o $(OFILES) $(ALLOC) -o $@ -lm -lz

$(OFILES):	awk.h ytab.h proto.h addon.h

ytab.o:	awk.h proto.h awkgram.y
	$(YACC) $(YFLAGS) awkgram.y
	mv y.tab.c ytab.c
	mv y.tab.h ytab.h
	$(CC) $(CFLAGS) -c ytab.c

proctab.c:	maketab
	./maketab >proctab.c

maketab:	ytab.h maketab.c
	$(CC) $(CFLAGS) maketab.c -o maketab

names:
	@echo $(LISTING)

clean:
	rm -fr a.out *.o *.obj maketab maketab.exe *.bb *.bbg *.da *.gcov *.gcno *.gcda awk ytab.* proctab.c *.dSYM

=== debian/changelog ===
bioawk (1.0-5) unstable; urgency=medium

  * Team upload.
  [ Nilesh Patra ]
  * Remove myself from uploaders.
  [ Santiago Vila ]
  * debian/rules: Add --no-parallel to avoid the effects of a Makefile bug which
    makes the package to FTBFS randomly. Closes: #1068341.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Apr 2024 18:50:00 +0200

bioawk (1.0-4) unstable; urgency=medium

  * d/p/cross.patch: Fix non-cross buildability
  * Use dpkg buildtools to set CC and CC_FOR_BUILD
    (Closes: #985410)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 17 Mar 2021 22:23:42 +0530

bioawk (1.0-3) unstable; urgency=medium

  * Change test dependency from swarm to
    seqkit-examples so as to test on all architectures

 -- Nilesh Patra <nilesh@debian.org>  Sun, 28 Feb 2021 20:37:56 +0530

bioawk (1.0-2) unstable; urgency=medium

  * Source-only-upload

 -- Nilesh Patra <nilesh@debian.org>  Sat, 27 Feb 2021 20:00:38 +0530

bioawk (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #982544)

 -- Steffen Moeller <moeller@debian.org>  Thu, 11 Feb 2021 14:16:31 +0100

=== debian/control ===
Source: bioawk
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
Build-Depends: debhelper-compat (= 13),
               bison,
               libz-dev
Standards-Version: 4.5.1
Homepage: https://github.com/lh3/bioawk
Vcs-Browser: https://salsa.debian.org/med-team/bioawk
Vcs-Git: https://salsa.debian.org/med-team/bioawk.git
Rules-Requires-Root: no

Package: bioawk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extension of awk for biological sequence analysis
 Bioawk is an extension to Brian Kernighan's awk, adding the support of
 several common biological data formats, including optionally gzip'ed BED, GFF,
 SAM, VCF, FASTA/Q and TAB-delimited formats with column names. It also adds a
 few built-in functions and an command line option to use TAB as the
 input/output delimiter. When the new functionality is not used, bioawk is
 intended to behave exactly the same as the original BWK awk.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bioawk-$1.tar.gz%" \
   https://github.com/lh3/bioawk/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
